PowerFlowSettings class is missing 3 important attributes to complete the basic settings for the power flow
- maxlterationsinnerLoop

- maxlterationsOuterLoop

- loadResponseCharacteristicsEnabled

These were discussed but got forgoten in last iterations

Proposed Solution

Add the following attributes and profile them in 457 as required attributes

- maxlterationsinnerLoop, integer, Description: Maximum iterations of inner loop of the power flow calculation algorithm.

- maxlterationsOuterLoop, integer, Description: Maximum iterations of outer loop of the power flow calculation algorithm. This can
refer to the maximum number of iterations when area interchange control is used.

- loadResponseCharacteristicsEnabled, boolean, Description: True means load response characteristics are considered, if present in
the model. False, means that even if enabled, the load response characteristics are not taken into account by the power flow
calculation algorithm.

Decision
Add as proposed. It was a miss by the project work. The gap was identified recently

Release Notes

The following attributes are added to 302 and 457 as required attributes in simulation settings profile

- maxlterationsinnerLoop, integer, Description: Maximum iterations of the power flow calculation algorithm inner loop.

- maxlterationsOuterLoop, integer, Description: Maximum iterations of the power flow calculation algorithm outer loop. This can refer
to the maximum number of iterations when area interchange control is performed as part of an outer loop or when specific control
actions are done in the outer loop.

- loadResponseCharacteristicsEnabled, boolean, Description: True means load response characteristics are considered, if present in
the model. False, means that even if enabled, the load response characteristics are not taken into account by the power flow
calculation algorithm.

History

#1 - 07/02/2023 09:49 AM - Chavdar lvanov
- Description updated

- Decision updated
#2 - 07/02/2023 09:49 AM - Chavdar Ivanov

- Status changed from New to Open

#3 - 07/02/2023 09:49 AM - Chavdar Ivanov

- Status changed from Open to Review

#4 - 07/02/2023 09:49 AM - Chavdar Ivanov

- Status changed from Review to Closed

#5 - 07/02/2023 09:58 AM - Chavdar Ivanov

- Release Notes updated

#6 - 07/05/2023 10:01 AM - Chavdar lvanov
- Solution Version changed from 18v05 to CIM18v05
